<?php

function get_msgs() {
    $msgs = array();
    foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
        include_once($locale_filepath);
    return $msgs;
}


function msg($name, $locale = null)
{
    static $msgs;
    static $def_locale;

    if (!isset($msgs))
        $msgs = get_msgs();

    if (!isset($def_locale)) {
        $def_locale = $msgs['default'];
    }

    if (null == $locale)
        $locale = sapp_get_locale();

    if (!isset($msgs[$locale])) {
        $locale = $def_locale;
    }

    if (isset($msgs[$locale][$name]))
        return $msgs[$locale][$name];
    elseif (isset($msgs[$def_locale][$name]))
        return $msgs[$def_locale][$name];
    else
        return $name;
}


function get_theme()
{
    return array (	
        "4x4_size" => msg("4x4_size"),
        "ab_deviant" => msg("ab_deviant"),
        "ab_typeface" => msg("ab_typeface"),
        "aduaya" => msg("aduaya"),
        "adventice" => msg("adventice"),
        "ahaa" => msg("ahaa"),
        "at-corp" => msg("at-corp"),
        "beauty_center" => msg("beauty_center"),
        "besha" => msg("besha"),
        "blue" => msg("blue"),
        "bluemetal" => msg("bluemetal"),
        "bluewave" => msg("bluewave"),
        "bluewave2" => msg("bluewave2"),
        "c7_ndbc" => msg("c7_ndbc"),
        "cleans" => msg("cleans"),
        "comms" => msg("comms"),
        "corporate_01" => msg("corporate_01"),
        "crystal_mambo" => msg("crystal_mambo"),
        "desert_rain" => msg("desert_rain"),
        "disco2tone" => msg("disco2tone"),
        "JavaBean" => msg("JavaBean"),
        "mentalbloc" => msg("mentalbloc"),
        "ms_teamwork" => msg("ms_teamwork"),
        "mt_business" => msg("mt_business"),
        "p3data" => msg("p3data"),
        "peeklime" => msg("peeklime"),
        "pixelone" => msg("pixelone"),
        "pulp" => msg("pulp"),
        "resus2" => msg("resus2"),
        "rhesus" => msg("rhesus"),
        "rhuk_planetfall" => msg("rhuk_planetfall"),
        "rhuk_solarflare" => msg("rhuk_solarflare"),
        "rhuk_solarflare_ii" => msg("rhuk_solarflare_ii"),
        "sk_business1" => msg("sk_business1"),
        "sk_business2" => msg("sk_business2"),
        "sk_business3" => msg("sk_business3"),
        "sk_business5" => msg("sk_business5"),
        "sleeping" => msg("sleeping"),
        "tdwpersonalfli" => msg("tdwpersonalfli"),
        "tdwsepiafixed" => msg("tdwsepiafixed"),
        "tech_it_easy" => msg("tech_it_easy"),
        "vec_demo" => msg("vec_demo"),
        "vec_industr" => msg("vec_industr"),
        "waterandstone" => msg("waterandstone"),
        "waterandstone800" => msg("waterandstone800"),
        "xmas" => msg("xmas"),
        "xplike.plesk.blue" => msg("xplike.plesk.blue"),
        "xptheme" => msg("xptheme"),
        "yops_boxed_blue_lt" => msg("yops_boxed_blue_lt"),

    );
}
					

?>